<template>
    <div class="modal fade" id="showContractMotoCar" aria-hidden="true" role="dialog" data-backdrop="static">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-span="Close"></button>
                </div>
                <div class="modal-body">
                    <div id="print-motocar-contract" style="width: 198mm; margin: auto">
                        <div class="mortgage_loan">
                            <div class="mortgage_header">
                                <!-- <img src="images/logo.png" alt="" width="100px" class="position-absolute" style="top: 5px"> -->
                                <div class="text-center">
                                    <h6 class="text_moul mb-2">ព្រះរាជាណាចក្រកម្ពុជា</h6>
                                    <h6 class="text_moul">ជាតិ សាសនា  ព្រះមហាក្សត្រ</h6>
                                    <img src="icons/contract.png" alt="">
                                    <h6 class="text_moul mb-2">កិច្ចសន្យាជួលម៉ូតូ/ឡាន</h6>
                                </div>
                            </div>

                            <div class="mortgage_content">
                                <p style="text-indent: 50px"> ឈ្មោះ.................. ភេទ ...........
                                    សញ្ជាតិ 
                                    ខែឆ្នាំកំណើត 
                                    សញ្ញាណប័ណ្ណលេខ....................... ចុះថ្ងៃទី....................... តំណាងឲ្យក្រុមហ៊ុន <strong>ខេមម៉ុន ឃែភីថល ជេអេស </strong>
                                    .................. អាស័យដ្ឋានបច្ចុប្បន្ន៖ ផ្ទះលេខ........ ផ្លូវ...... ភូមិ............ ឃុំ/សង្កាត់..................... ខណ្ឌ.......................
                                    ខេត្ត/រាជធានី................ ហៅថា <strong>ភាគី "ក"</strong> ។
                                </p>

                                <p class="text-center text_moul">ជាមួយនឹង</p>
                                <p style="text-indent: 50px"> ឈ្មោះ......................... ភេទ.......... សញ្ជាតិ...................... ខែឆ្នាំកំណើត.................
                                    សញ្ញាណប័ណ្ណលេខ.......................... ចុះថ្ងៃទី....................... តំណាងឲ្យក្រុមហ៊ុន <strong>ខេមម៉ុន ឃែភីថល ជេអេស </strong>
                                    .................. អាស័យដ្ឋានបច្ចុប្បន្ន៖ ផ្ទះលេខ........ ផ្លូវ...... ភូមិ............ ឃុំ/សង្កាត់..................... ខណ្ឌ.......................
                                    ខេត្ត/រាជធានី................ ហៅថា <strong>ភាគី “ខ”</strong> ។
                                </p>
                                <p>ទូរស័ព្ទទំនាក់ទំនងលេខៈ..............................................</p>

                                <p class="text-center text_moul">ភាគីទាំងពីរបានព្រមព្រៀងគ្នាតាមលក្ខខ័ណ្ឌដូចខាងក្រោមៈ</p>
                                <p><strong>ប្រការ១. កម្មវត្ថុ</strong></p>

                                <p style="padding-left: 50px"><strong>ភាគី “ក”</strong> បានជួលម៉ូតូ/ឡាន ០១គ្រឿងទៅឲ្យ <strong>ភាគី “ខ”</strong>
                                    ម៉ាក {{ datas?.model_type || '..................' }} លេខតួ {{ datas?.body_number || '..................' }} លេខម៉ាស៊ីន {{ datas?.engine_number || '..................' }}
                                    ពណ៌ {{ datas?.color || '...........' }} ស្លាកលេខសំគាល់ {{ datas?.number_plate || '..................' }} ឆ្នាំផលិត {{ datas?.year || '...........' }} ។</p>
                                <p><strong>ប្រការ២. តម្លៃ និងរយៈពេលនៃការជួល</strong></p>
                                <p style="padding-left: 50px"><strong>ភាគី “ក”</strong> និង <strong>ភាគី "ខ"</strong> ព្រមព្រៀងគ្នាក្នុងការជួលឲ្យនិងទទួលជួល ក្នុងតម្លៃ..............ក្នុង ១ថ្ងៃ/សប្តាហ៍ រយៈពេលនៃការជួល................</p>

                                <p><strong>ប្រការ៣. កាតព្វកិច្ចរបស់<strong>ភាគី "ក"</strong></strong></p>

                                <p style="padding-left: 50px"> <strong>ភាគី “ក”</strong> បានប្រគល់ម៉ូតូ/ឡាន ដែលជាកម្មវត្ថុនៃការជួល ទៅឲ្យ<strong>ភាគី “ខ”</strong> ក្រោយពីបានផ្តិតស្នាមមេដៃស្ដាំកិច្ច សន្យានេះ។</p>

                                <p><strong>ប្រការ៤. កាតព្វកិច្ចរបស់<strong>ភាគី "ខ"</strong></strong></p>

                                <div style="padding-left: 50px">
                                    <p>- <strong>ភាគី “ខ”</strong> ត្រូវធ្វើការទូទាត់ថ្លៃជួលជូន<strong>ភាគី “ក”</strong> ទៅតាមថ្ងៃដែលបានកំណត់ក្នុងតារាងបង់ប្រាក់អតិថិជន។ មិនអាចយក ម៉ូតូ/ឡាន ដែលបានទទួលជួលពី<strong>ភាគី “ក”</strong> ទៅកែច្នៃ និង/ឬ ប្រើប្រាស់ផ្ទុយខុសពីច្បាប់ន ព្រះរាជាណាចក្រកម្ពុជាឡើយ ។</p>
                                    <p>- ធានារក្សាស្ថានភាពដើមរបស់ម៉ូតូ/ឡាន ដែលខ្លួនបានទទួលជួលពី<strong>ភាគី "ក"</strong> ឲ្យដូចដើមវិញ។</p>
                                    <p>- <strong>ភាគី “ខ”</strong> គ្មានសិទ្ធិយកម៉ូតូ/ឡាន ដែលខ្លួនបានជួលពី<strong>ភាគី “ក”</strong> នេះ ជួល ឬលក់ទៅឲ្យអ្នកផ្សេង ដោយគ្មានការ អនុញ្ញាតពី<strong>ភាគី "ក"</strong> ឡើយ ។</p>
                                    <p>- ក្រោយពីបានផ្តិតស្នាមមេដៃស្ដាំលើកិច្ចសន្យានេះ <strong>ភាគី “ខ”</strong> ព្រមទទួលស្គាល់ថាពិតជាទទួលបានម៉ូតូ/ឡាន ដែលជាកម្មវត្ថុនៃការជួលពី<strong>ភាគី “ក”</strong> ពិតប្រាកដមែន។</p>
                                </div>

                                <p><strong>ប្រការ៥. ការលុបចោលកិច្ចសន្យា</strong></p>

                                <p style="padding-left: 50px">ក្នុងករណី <strong>ភាគី “ខ”</strong> ពុំបានធ្វើការទូទាត់សងប្រាក់ ជូន<strong>ភាគី “ក”</strong> ក្នុងរយៈពល............<strong>ភាគី “ក”</strong> មានសិទ្ធិទាមទារឲ្យ<strong>ភាគី “ខ”</strong> ប្រគល់ម៉ូតូ/ឡាន ដែលមានភិនភាគដូចខាងលើ ដោយគ្មានលក្ខខណ្ឌ ឬតវ៉ាអ្វីទាំងអស់។</p>

                                <p><strong>ប្រការ៦. ការធ្វើវិសោធនកម្ម</strong></p>
                                <div style="padding-left: 50px">
                                    <p>រាល់ការធ្វើវិសោធនកម្ម ឬកែប្រែប្រការណាមួយ ដែលមានចែងនៅក្នុងកិច្ចសន្យានេះ ត្រូវធ្វើឡើងដោយមានការ ព្រមព្រៀង និងឯកភាព ពីសំណាក់<strong>ភាគី “ក”</strong> និង<strong>ភាគី “ខ”</strong> ហើយត្រូវធ្វើឡើងជាលាយល័ក្ខអក្សរ។</p>
                                    <p>ក្រោយពីបានអាន និងស្តាប់យល់សព្វគ្រប់ ដើម្បីជាសក្ខីភាព ភាគីទាំងពីរ បានឯកភាពគ្នាផ្តិតមេដៃស្ដាំលើ កិច្ច សន្យាជួលអចលនៈវត្ថុនេះនៅចំពោះមុខគូរភាគីដោយស្ម័គ្រចិត្តដោយគ្មានការបង្ខិតបង្ខំពីភាគីណាឡើយ។</p>
                                </div>

                                <div class="page-avoid">
                                    <p class="text-end mb-2">ធ្វើនៅ....................ថ្ងៃទី............ខែ...........ឆ្នាំ........</p>
                                    <div class="row text-center">
                                        <div class="col-4">
                                            <p class="text_moul">ស្នាមមេដៃភាគី «ក»</p>
                                            <div class="border-box m-auto"></div>
                                            <p>...............................</p>
                                        </div>
                                        <div class="col-4">
                                            <p class="text_moul">សាក្សី</p>
                                            <div class="border-box m-auto"></div>
                                            ...............................
                                        </div>
                                        <div class="col-4">
                                            <p class="text_moul">ស្នាមមេដៃភាគី «ខ»</p>
                                            <div class="border-box m-auto"></div>
                                            ...............................
                                        </div>
                                    </div>
                                </div>


                                <div class="row text-center">
                                    <div class="col-7"></div>
                                    <div class="col-5">
                                        <p><strong>បានឃើញនិងបញ្ជក់ថា</strong></p>
                                        <p><strong>ឈ្មោះ....................ជាម្ចាស់កម្មសិទ្ធិនៃអចលនវត្ថុខាងលើប្រាកដមែន</strong></p>
                                        <p>ធ្វើនៅ................ថ្ងៃទី........ខែ.........ឆ្នាំ.........</p>
                                        <p class="text_moul">មេភូមិ................</p>
                                    </div>
                                </div>


                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-bs-dismiss="modal"><img src="/icons/b_drop.png" alt="" /> {{ $t("Close") }}</button>
                    <button type="button" class="btn btn-primary" @click="printP">
                        {{$t('Print')}}
                    </button>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    var moment = require("moment");
    import {currencyToWord } from "number_to_khmer_word";
    export default {
        props:['datas'],
        data(){
            return{
                moment : moment,
                currencyToWord : currencyToWord,
            }
        },
        methods: {
            printP() {
                this.$htmlToPaper("print-motocar-contract", {
                    styles: ["/css/app.css", "/css/print/mortgage-loan.css"],
                });
            },
            funDate(date) {
                if(date){
                    return "ថ្ងៃទី" + moment(date).format("DD") + " ខែ" + this.funMonth(moment(date).format("MMM")) + " ឆ្នាំ" + moment(date).format("YYYY");
                } else {
                    return 'ថ្ងៃទី................... ខែ................... ឆ្នាំ...................'
                }
            },
            funMonth(mon) {
                if (mon == "Jan") {
                    return "មករា";
                } else if (mon == "Feb") {
                    return "កុម្ភៈ";
                } else if (mon == "Mar") {
                    return "មីនា";
                } else if (mon == "Apr") {
                    return "មេសា";
                } else if (mon == "May") {
                    return "ឧសភា";
                } else if (mon == "Jun") {
                    return "មិថុនា";
                } else if (mon == "Jul") {
                    return "កក្កដា";
                } else if (mon == "Aug") {
                    return "សីហា";
                } else if (mon == "Sep") {
                    return "កញ្ញា";
                } else if (mon == "Oct") {
                    return "តុលា";
                } else if (mon == "Nov") {
                    return "វិច្ឆិកា";
                } else if (mon == "Dec") {
                    return "ធ្នូ";
                }
            },
            funTypeCard(card) {
                if (card == 1) {
                    return "អត្តសញ្ញាណប័ណ្ណ";
                } else if (card == 2) {
                    return "សៀវភៅគ្រួសារ";
                } else if (card == 3) {
                    return "សៀវភៅស្នាក់នៅ";
                } else if (card == 4) {
                    return "លិខិតឆ្លងដែន";
                } else {
                    return "សំបុត្រកំណើត";
                }
            },
            funTerm(status){
                if(status==1){
                    return 'ថ្ងៃ';
                }else if(status==2){
                    return 'សប្ដាហ៍';
                }else if(status==3){
                    return 'កន្លះខែ';
                }else if(status==4){
                    return 'ខែ';
                }
            },
            totalToword(loan_out,currency_id) {
                if (currency_id == 1) {
                    if (loan_out) {
                        return currencyToWord(loan_out, "KHR").slice(1).replace(/-/g, "");
                    } else {
                        return currencyToWord(0, "KHR").slice(1);
                    }
                } else {
                    if (loan_out) {
                        return currencyToWord(loan_out, "USD")
                            .slice(1)
                            .replace(/-/g, " ")
                            .replace(/ ដុល្លារ គត់/, " ដុល្លារសហរដ្ឋអាមេរិចគត់");
                    } else {
                        return currencyToWord(0, "USD").slice(1);
                    }
                }
            },
        }
    }
</script>

<style lang="scss" scoped>
    .article{
        position: relative;
        padding-left: 35px;
        .title{
            position: absolute;
            left: 0;
        }
    }
    .border-box{
        border: 1px solid #000;
        width: 80px;
        height: 100px;
    }
</style>
